Skip to content
You're viewing the v2 docs. Looking for v1?Go to v1 docs
Docs
Arcus
Popular questions
↑↓ to navigate↵ to selectesc to close
Book a demo

Assign user to test run case

PUT/projects/{project_id}/test_runs/{test_run_id}/assign_user
Base URL https://arcus.testsigma.com/api/v1

Assigns a user to a test case within a specific test run.

Authenticate with your API key as a Bearer token in the Authorization header. How to authenticate →
project_idUnique identifier of the project the test run belongs to.
test_run_idIdentifier of the test run containing the test case.
user_idUnique identifier of the user to assign to the test case.
test_case_idUnique identifier of the test case to assign the user to.
messageConfirmation message indicating the user was assigned; may be empty.
Request
curl -X PUT \
  'https://arcus.testsigma.com/api/v1/projects/{project_id}/test_runs/{test_run_id}/assign_user' \
  -H 'Authorization: Bearer <API_KEY>' \
  -H 'Content-Type: application/json' \
  -d '{
    "user_id": "cbbc40a5-26e9-4b88-8c27-3626c9fbdaa4",
    "test_case_id": "9ac271b6-4e89-4c93-8c75-2d625efa0b2d"
  }'
const response = await fetch('https://arcus.testsigma.com/api/v1/projects/{project_id}/test_runs/{test_run_id}/assign_user', {
  method: 'PUT',
  headers: {
    'Authorization': 'Bearer <API_KEY>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
      "user_id": "cbbc40a5-26e9-4b88-8c27-3626c9fbdaa4",
      "test_case_id": "9ac271b6-4e89-4c93-8c75-2d625efa0b2d"
  })
});
const data = await response.json();
import requests

response = requests.put(
  'https://arcus.testsigma.com/api/v1/projects/{project_id}/test_runs/{test_run_id}/assign_user',
  headers={
    'Authorization': 'Bearer <API_KEY>',
    'Content-Type': 'application/json'
  },
  json={
      "user_id": "cbbc40a5-26e9-4b88-8c27-3626c9fbdaa4",
      "test_case_id": "9ac271b6-4e89-4c93-8c75-2d625efa0b2d"
  }
)
data = response.json()
Response200 OK
{
  "message": ""
}

Was this page helpful?